Warning: Can't synchronize with repository "(default)" (/home/git/ome.git does not appear to be a Git repository.). Look in the Trac log for more information.
Notice: In order to edit this ticket you need to be either: a Product Owner, The owner or the reporter of the ticket, or, in case of a Task not yet assigned, a team_member"

Task #7290 (closed)

Opened 10 years ago

Closed 10 years ago

Last modified 10 years ago

Ice 3.3/3.4 Share compatibility

Reported by: jamoore Owned by: jamoore
Priority: critical Milestone: OMERO-4.4
Component: Services Version: n.a.
Keywords: n.a. Cc:
Resources: n.a. Referenced By: n.a.
References: n.a. Remaining Time: 0.0d
Sprint: 2011-11-29 (3)

Description

To support Ice 3.3 and 3.4 at the same time, two separate jars for saving OMERO.shares were added. We should be clear on whether or not we will be able to read 3.3 shares with the 3.4 and the other way around.

Change History (3)

comment:1 Changed 10 years ago by jmoore

  • Status changed from new to accepted

comment:2 Changed 10 years ago by jmoore

  • Remaining Time changed from 0.5 to 0
  • Resolution set to fixed
  • Status changed from accepted to closed

Tests committed to branch. Everything seems fine reading and writing with both Ice versions. This implies that we may also be able to access 3.4-based servers with 3.3-based clients. Needs testing.

comment:3 Changed 10 years ago by jmoore <josh@…>

(In [8172dcedaf5660d4d63f890fa5768233b78e98c5/ome.git]) Passing tests for 33/34 blobs (Fix #7290)

Note: See TracTickets for help on using tickets. You may also have a look at Agilo extensions to the ticket.

1.3.13-PRO © 2008-2011 Agilo Software all rights reserved (this page was served in: 0.73979 sec.)

We're Hiring!